Skip to main content
GET
/
buoys
/
{buoy_id}
/
readings
/
{reading_id}
Get a specific buoy reading
curl --request GET \
  --url https://thesurfkit.com/api/v2/buoys/{buoy_id}/readings/{reading_id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "data": {
    "reading": {
      "id": 12345,
      "uuid": "abc-123-def",
      "significient_height": 1.5,
      "maximum_height": 2,
      "period": 8.5,
      "time": "2025-11-01T10:00:00Z",
      "water_temperature": 18.5,
      "direction": 270,
      "direction_compass": "W",
      "unit": "m",
      "energy_per_wave": 25.5
    },
    "buoy": {
      "id": 10,
      "name": "Anglet"
    }
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Format: Authorization: Bearer YOUR_API_KEY

Alternative: Pass as query parameter ?api_key=YOUR_API_KEY

Security: API keys are stored as BCrypt hashes (never plain text). Only the hash is stored in the database.

Path Parameters

buoy_id
integer
required
reading_id
integer
required

Reading ID

Response

Successful response

status
string
Example:

"success"

data
object